Package org.apache.lucene.analysis.morph

# Class CharacterDefinition

java.lang.Object
org.apache.lucene.analysis.morph.CharacterDefinition

public abstract class CharacterDefinition extends Object
Character category data.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `CharacterDefinition.LookupCharacterClass`
  Functional interface to lookup character class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final byte[]`
  `characterCategoryMap`
  `static final String`
  `FILENAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CharacterDefinition(IOSupplier<InputStream> charDefResource, String charDefCodecHeader, int charDefCodecVersion, int classCount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getCharacterClass(char c)`
  `boolean`
  `isGroup(char c)`
  `boolean`
  `isInvoke(char c)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILENAME_SUFFIX

    public static final String FILENAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### characterCategoryMap

    protected final byte[] characterCategoryMap

- ## Constructor Details

  - ### CharacterDefinition

    protected CharacterDefinition(IOSupplier<InputStream> charDefResource, String charDefCodecHeader, int charDefCodecVersion, int classCount) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getCharacterClass

    public byte getCharacterClass(char c)

  - ### isInvoke

    public boolean isInvoke(char c)

  - ### isGroup

    public boolean isGroup(char c)